Commit e05a6f05 authored by Joachim Wiedorn's avatar Joachim Wiedorn

Imported Upstream version 24.1

parent f574e112
Changes for version 24.0 (unreleased) - Joachim Wiedorn
Changes for version 24.1 (17-October-2014) - Joachim Wiedorn
Documentations
--------------
- Add more information about -R option (one-time command-line).
Sources
-------
- Only warn if founded bad partition (src/partition.c).
- Install the .dat files of images, too (images/Makefile).
- Fix target 'all' in main Makefile.
- Install lilo.static, too, if existing.
- Add CFLAGS, CPPFLAGS, LDFLAGS everywhere needed
(useful e.g. for hardening in Debian).
- Add many major device numbers, especially for MMC cards and XVD
disks. Remove obsolete numbers (src/lilo.h, src/geometry.c).
General
-------
- Use 'lilo -H' in hook scripts to ignore error on degraded mdadm
RAID1 systems (thanks to M. Schnalke).
- Small update of script lilo-uuid-diskid.
- Large upgrade of script liloconfig:
* solve some bugs (see: Debian, Ubuntu)
* now with update function
* now with more tolerant file names of initram
* now with use of kernel links as fallback
- Update example config in lilo.example.conf.
- Update manpage of liloconfig and lilo-uuid-diskid.
- Add hooks for chattr, if vmlinuz files are on xfs filesystems.
Changes for version 24.0 (07-June-2013) - Joachim Wiedorn
Documentations
--------------
......@@ -16,7 +48,7 @@ Changes for version 24.0 (unreleased) - Joachim Wiedorn
-------
- Support for kernel images on GPT hard disks in the first 15
partitions, otherwise set comments (src/geometry.c, src/lilo.h)
- Update src/Makefile to always stipping lilo and lilo.static.
- Update src/Makefile to always stripping lilo and lilo.static.
General
-------
......
# -*- makefile -*-
#
# Copyright 2009-2013 Joachim Wiedorn
# Copyright 2009-2014 Joachim Wiedorn
# All rights reserved.
#
# Licensed under the terms contained in the file 'COPYING'
# in the source directory.
#
#
# everything needed to run, just short of installation
#
all: test
make -C src all
make -C images all
#
# make help
#
......@@ -33,13 +40,6 @@ help:
@echo " make distclean # remove editor temps, & all of the above"
@echo ""
#
# everything needed to run, just short of installation
#
all: test
$(MAKE) -C src all
$(MAKE) -C images all
#
# everything above plus the statically linked version
#
......
......@@ -3,6 +3,19 @@ NEWS about project LILO
(For details see file 'CHANGELOG' in the source directory)
Version 24.1 (minor and bugfix update of 24.0)
o Install .dat files of images, too.
o Install lilo.static, if existing.
o Add CFLAGS, CPPFLAGS, LDFLAGS everywhere needed.
o Better support for degraded mdadm RAID1.
o Large upgrade of script liloconfig with bugfixes and
update function, with fallback to kernel links.
o Update example config file.
o Update manpage of liloconfig and lilo-uuid-diskid.
o Add major device numbers for MMC cards and XVD disks.
Version 24.0 (major and bugfix update of 23.2)
o Update many manpages and add some from Debian.
......
......@@ -14,9 +14,9 @@ bcc 0.16.14 0.16.17 bcc
bin86 0.16.14 0.16.17 as86, ld86
gcc 3.3.5 4.8.0 gcc
gcc 3.3.5 4.9.1 gcc
sharutils 4.6.3 4.11.1 uuencode, uudecode
sharutils 4.6.3 4.14 uuencode, uudecode
perl 5.8.4 5.14.2 pod2man
......
......@@ -16,7 +16,7 @@ are only necessary when processing the technical overview document.
To run LaTeX just type
make
make -f Makefile.old
LaTeX issues many "Overfull \hbox" warnings. They can be safely ignored.
LaTeX will be run repeatedly until it stops issuing the message
......
......@@ -3328,11 +3328,11 @@ class="description">Makes image name matching case-insensitive, i.e. “linu
</dd><dt class="description">
<span
class="cmtt-10x-x-109">LARGE</span><span
class="cmtt-10x-x-109">_EDBA</span> </dt><dd
class="cmtt-10x-x-109">_EBDA</span> </dt><dd
class="description">Loads LILO&#x00A0;at a lower address in order to leave more space for the EBDA (Extended
BIOS Data Area). This is necessary on some recent MP systems. Note that enabling <span
class="cmtt-10x-x-109">LARGE</span><span
class="cmtt-10x-x-109">_EDBA</span>
class="cmtt-10x-x-109">_EBDA</span>
reduces the maximum size of &#8220;small&#8221; images (e.g. &#8220;Image&#8221; or &#8220;zImage&#8221;).
</dd><dt class="description">
<span
......@@ -3858,7 +3858,7 @@ class="description">&#x00A0;<br
class="newline" />The kernel image (without the setup code) is bigger than 512 kbytes (or 448 kbytes, if built with
<span
class="cmtt-10x-x-109">LARGE</span><span
class="cmtt-10x-x-109">_EDBA</span>). LILO&#x00A0;would overwrite itself when trying to load such a kernel. This limitation
class="cmtt-10x-x-109">_EBDA</span>). LILO&#x00A0;would overwrite itself when trying to load such a kernel. This limitation
only applies to old kernels which are loaded below 0x10000 (e.g. &#8220;Image&#8221; or &#8220;zImage&#8221;). Try
building the kernel with &#8220;bzImage&#8221;. If this is undesirable for some reason, try removing some
unused drivers and compiling the kernel again. This error may also occur if the kernel image is
......
# -*- makefile -*-
#
# Copyright 2009-2014 Joachim Wiedorn
# All rights reserved.
#
# Licensed under the terms contained in the file 'COPYING'
# in the source directory.
#
# Makefile for BCC compilation of 'lilo.com'
#
# Known to work with BCC version 0.16.15
......
# -*- makefile -*-
#
# Copyright 2011-2014 Joachim Wiedorn
# All rights reserved.
#
# Licensed under the terms contained in the file 'COPYING'
# in the source directory.
#
# adding variables
include ../make.vars
POSTUP = initramfs/post-update.d
POSTINST = kernel/postinst.d
POSTRM = kernel/postrm.d
# install also chattr-lilo hooks
CHATTR := n
POSTUPD := initramfs/post-update.d
POSTINST := kernel/postinst.d
POSTRM := kernel/postrm.d
PREINST := kernel/preinst.d
PRERM := kernel/prerm.d
all:
install:
mkdir -p $$DESTDIR$(CFG_DIR)/$(POSTUP)
mkdir -p $$DESTDIR$(CFG_DIR)/$(POSTUPD)
mkdir -p $$DESTDIR$(CFG_DIR)/$(POSTINST)
mkdir -p $$DESTDIR$(CFG_DIR)/$(POSTRM)
install -m 0755 $(POSTUP)/runlilo $$DESTDIR$(CFG_DIR)/$(POSTUP)
install -m 0755 $(POSTUPD)/runlilo $$DESTDIR$(CFG_DIR)/$(POSTUPD)
install -m 0755 $(POSTINST)/zz-runlilo $$DESTDIR$(CFG_DIR)/$(POSTINST)
install -m 0755 $(POSTRM)/zz-runlilo $$DESTDIR$(CFG_DIR)/$(POSTRM)
ifeq "$(CHATTR)" "y"
mkdir -p $$DESTDIR$(CFG_DIR)/$(PREINST)
mkdir -p $$DESTDIR$(CFG_DIR)/$(PRERM)
install -m 0755 $(POSTINST)/chattr-lilo $$DESTDIR$(CFG_DIR)/$(POSTINST)
install -m 0755 $(PREINST)/chattr-lilo $$DESTDIR$(CFG_DIR)/$(PREINST)
install -m 0755 $(PRERM)/chattr-lilo $$DESTDIR$(CFG_DIR)/$(PRERM)
endif
clean:
distclean:
uninstall:
rm -f $$DESTDIR$(CFG_DIR)/$(POSTUP)/runlilo
rm -f $$DESTDIR$(CFG_DIR)/$(POSTUPD)/runlilo
rm -f $$DESTDIR$(CFG_DIR)/$(POSTINST)/zz-runlilo
rm -f $$DESTDIR$(CFG_DIR)/$(POSTRM)/zz-runlilo
ifeq "$(CHATTR)" "y"
rm -f $$DESTDIR$(CFG_DIR)/$(POSTINST)/chattr-lilo
rm -f $$DESTDIR$(CFG_DIR)/$(PREINST)/chattr-lilo
rm -f $$DESTDIR$(CFG_DIR)/$(PRERM)/chattr-lilo
endif
......@@ -2,7 +2,7 @@
#
# runlilo - postupdate script for modern initrd management
#
# Copyright 2010 Joachim Wiedorn
# Copyright 2010-2014 Joachim Wiedorn
# All rights reserved.
#
# Licensed under the terms contained in the file 'COPYING'
......@@ -26,9 +26,10 @@ case "$PAR" in
*)
# Run the boot loader installer
# and ignore error on degraded mdadm RAID1
if [ -f /sbin/lilo ];then
if [ -f /etc/lilo.conf ];then
lilo </dev/null >&2
lilo -H </dev/null >&2
else
echo "Warning: Not updating LILO; /etc/lilo.conf not found!" >&2
fi
......
#!/bin/sh
#
# chattr-lilo - postinst script for sure kernel install/upgrade
#
# Copyright (C) 2012-2014 Joachim Wiedorn
# All rights reserved.
#
# Licensed under the terms contained in the file 'COPYING'
# in the source directory.
#
set -e
CHATTR=`which chattr` || exit 0
XFSINFO=`which xfs_info` || exit 0
if test -x $XFSINFO; then
# check whether root partition is of xfs type
[ `LANG=C $XFSINFO / | grep -c "attr="` -eq 1 ] || exit 0
fi
# second argument gives the path and filename
# first argument gives only the kernel version
if [ -n "${2}" ]; then
IMAGE="${2}"
elif [ -n "${1}" ]; then
IMAGE="/boot/vmlinuz-${1}"
else
echo "[postinst.d] do not execute chattr"
exit 0
fi
if [ -f "$IMAGE" ]; then
echo "[postinst.d] chattr +i ${IMAGE}" >&2
$CHATTR +i "${IMAGE}"
fi
# end of file
......@@ -2,7 +2,7 @@
#
# zz-runlilo - postinst script for modern kernel management
#
# Copyright 2010 Joachim Wiedorn
# Copyright 2010-2014 Joachim Wiedorn
# All rights reserved.
#
# Licensed under the terms contained in the file 'COPYING'
......@@ -24,9 +24,10 @@ case "$PAR" in
ever|configure)
# Run the boot loader installer
# and ignore error on degraded mdadm RAID1
if [ -f /sbin/lilo ]; then
if [ -f /etc/lilo.conf ]; then
lilo </dev/null >&2
lilo -H </dev/null >&2
else
echo "Warning: Not updating LILO; /etc/lilo.conf not found!" >&2
fi
......
......@@ -2,7 +2,7 @@
#
# zz-runlilo - postrm script for modern kernel management
#
# Copyright 2010 Joachim Wiedorn
# Copyright 2010-2014 Joachim Wiedorn
# All rights reserved.
#
# Licensed under the terms contained in the file 'COPYING'
......@@ -24,10 +24,11 @@ case "$PAR" in
ever|remove)
# Run the boot loader installer
# and ignore error on degraded mdadm RAID1
if [ -f /sbin/lilo ]; then
if [ -f /etc/lilo.conf ]; then
# Do not abort kernel removal in case of error
lilo </dev/null >&2 || true
lilo -H </dev/null >&2 || true
fi
fi
;;
......
#!/bin/sh
#
# chattr-lilo - preinst script for sure kernel install/upgrade
#
# Copyright (C) 2012-2014 Joachim Wiedorn
# All rights reserved.
#
# Licensed under the terms contained in the file 'COPYING'
# in the source directory.
#
set -e
CHATTR=`which chattr` || exit 0
XFSINFO=`which xfs_info` || exit 0
if test -x $XFSINFO; then
# check whether root partition is of xfs type
[ `LANG=C $XFSINFO / | grep -c "attr="` -eq 1 ] || exit 0
fi
# second argument gives the path and filename
# first argument gives only the kernel version
if [ -n "${2}" ]; then
IMAGE="${2}"
elif [ -n "${1}" ]; then
IMAGE="/boot/vmlinuz-${1}"
else
echo "[preinst.d] do not execute chattr"
exit 0
fi
if [ -f "$IMAGE" ]; then
echo "[preinst.d] chattr -i ${IMAGE}" >&2
$CHATTR -i "${IMAGE}"
fi
# end of file
#!/bin/sh
#
# chattr-lilo - prerm script for sure kernel upgrade/remove
#
# Copyright (C) 2012-2014 Joachim Wiedorn
# All rights reserved.
#
# Licensed under the terms contained in the file 'COPYING'
# in the source directory.
#
set -e
CHATTR=`which chattr` || exit 0
XFSINFO=`which xfs_info` || exit 0
if test -x $XFSINFO; then
# check whether root partition is of xfs type
[ `LANG=C $XFSINFO / | grep -c "attr="` -eq 1 ] || exit 0
fi
# second argument gives the path and filename
# first argument gives only the kernel version
if [ -n "${2}" ]; then
IMAGE="${2}"
elif [ -n "${1}" ]; then
IMAGE="/boot/vmlinuz-${1}"
else
echo "[prerm.d] do not execute chattr"
exit 0
fi
if [ -f "$IMAGE" ]; then
echo "[prerm.d] chattr -i ${IMAGE}" >&2
$CHATTR -i "${IMAGE}"
fi
# end of file
# -*- makefile -*-
#
# Copyright 2009-2014 Joachim Wiedorn
# All rights reserved.
#
# Licensed under the terms contained in the file 'COPYING'
# in the source directory.
#
# adding variables
include ../make.vars
......@@ -6,6 +13,8 @@ include ../make.vars
BINLILO := ../src/lilo
BMPS8 := coffee.bmp
BMPS4 := debian.bmp debian-de.bmp debianlilo.bmp inside.bmp onlyblue.bmp tuxlogo.bmp
NAME8 := coffee
NAME4 := debian debian-de debianlilo inside onlyblue tuxlogo
all: $(BMPS4) $(BMPS8)
......@@ -21,6 +30,12 @@ $(BMPS8): %.bmp: %_256c.uu
install: all
mkdir -p $$DESTDIR$(BOOT_DIR)
install -m 0644 $(BMPS4) $(BMPS8) $$DESTDIR$(BOOT_DIR)
for i in $(NAME8); do \
cp $${i}_256c.dat $$DESTDIR$(BOOT_DIR)/$${i}.dat; \
done
for i in $(NAME4); do \
cp $${i}_16c.dat $$DESTDIR$(BOOT_DIR)/$${i}.dat; \
done
clean:
rm -f $(BMPS4) $(BMPS8)
......@@ -29,4 +44,7 @@ distclean: clean
uninstall:
(cd $$DESTDIR$(BOOT_DIR); rm -f $(BMPS4) $(BMPS8))
for i in $(NAME4) $(NAME8); do \
rm -f $$DESTDIR$(BOOT_DIR)/$${i}.dat; \
done
Begin4
Title: LILO
Version: 24.0
Entered-date: 2013-06-07
Version: 24.1
Entered-date: 2014-10-17
Description: Generic boot loader for Linux. Distribution
includes full source, documentation and support files.
Keywords: Linux, boot loader, LILO
......@@ -10,7 +10,7 @@ Maintained-by: Joachim Wiedorn <ad_debian@joonet.de>
Primary-site: http://lilo.alioth.debian.org/
Original-site: http://lilo.alioth.debian.org/
Alternate-site: http://alioth.debian.org/projects/lilo/ (developer's site)
Files: 751kB lilo-24.0.tar.gz
Files: 754kB lilo-24.1.tar.gz
Platforms: Linux (>= 2.4.0),
gcc (>= 3.3.5), as86 (>= 0.16.14) needed to compile.
bcc (0.16.14) needed to compile diagnostic disk 2 & DOS *.com.
......
#!/usr/bin/make -f
# -*- makefile -*-
#
# Copyright 2009-2014 Joachim Wiedorn
# All rights reserved.
#
# Licensed under the terms contained in the file 'COPYING'
# in the source directory.
#
# adding variables
include ../make.vars
......
.\" Automatically generated by Pod::Man 2.22 (Pod::Simple 3.07)
.\" Automatically generated by Pod::Man 2.25 (Pod::Simple 3.16)
.\"
.\" Standard preamble:
.\" ========================================================================
......@@ -62,7 +62,7 @@
.\" ========================================================================
.\"
.IX Title "LILO-UUID-DISKID 8"
.TH LILO-UUID-DISKID 8 "2013-05-01" "23.3" "lilo documentation"
.TH LILO-UUID-DISKID 8 "2014-10-13" "24.1" "lilo documentation"
.\" For nroff, turn off justification. Always turn off hyphenation; it makes
.\" way too many mistakes in technical documents.
.if n .ad l
......@@ -98,11 +98,11 @@ Lines in the configuration file /etc/lilo.conf:
\& boot = /dev/disk/by\-id/ata\-SAMSUNG_SV1604N_S01FJ10X999999
\&
\& #root = /dev/sda1
\& root = "UUID=/dev/disk/by\-uuid/18843936\-00f9\-4df0\-a373\-000d05a5dd44"
\& root = "UUID=18843936\-00f9\-4df0\-a373\-000d05a5dd44"
.Ve
.SH "COPYRIGHT and LICENSE"
.IX Header "COPYRIGHT and LICENSE"
Copyright (C) 2010\-2013 Joachim Wiedorn
Copyright (C) 2010\-2014 Joachim Wiedorn
.PP
This script is free software; you can redistribute it and/or modify
it under the terms of the \s-1GNU\s0 General Public License as published by
......@@ -112,7 +112,7 @@ the Free Software Foundation; either version 2 of the License, or
.IX Header "AUTHOR"
\&\fBlilo-uuid-diskid\fR was written by Joachim Wiedorn.
.PP
This manual page was written by Joachim Wiedorn <ad_debian at joonet.de>.
This manual page was written by Joachim Wiedorn <joodevel at joonet.de>.
.SH "SEE ALSO"
.IX Header "SEE ALSO"
\&\fBlilo\fR(8), \fBupdate-lilo\fR(8), \fBliloconfig\fR(8)
......@@ -2,8 +2,8 @@
manpage: LILO-UUID-DISKID
section: 8
title: lilo documentation
version: 23.3
datum: 2013-05-01
version: 24.1
datum: 2014-10-13
=encoding utf8
......@@ -47,11 +47,11 @@ Lines in the configuration file /etc/lilo.conf:
boot = /dev/disk/by-id/ata-SAMSUNG_SV1604N_S01FJ10X999999
#root = /dev/sda1
root = "UUID=/dev/disk/by-uuid/18843936-00f9-4df0-a373-000d05a5dd44"
root = "UUID=18843936-00f9-4df0-a373-000d05a5dd44"
=head1 COPYRIGHT and LICENSE
Copyright (C) 2010-2013 Joachim Wiedorn
Copyright (C) 2010-2014 Joachim Wiedorn
This script is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
......@@ -62,7 +62,7 @@ the Free Software Foundation; either version 2 of the License, or
B<lilo-uuid-diskid> was written by Joachim Wiedorn.
This manual page was written by Joachim Wiedorn <ad_debian at joonet.de>.
This manual page was written by Joachim Wiedorn <joodevel at joonet.de>.
=head1 SEE ALSO
......
.\" Automatically generated by Pod::Man 2.22 (Pod::Simple 3.07)
.\" Automatically generated by Pod::Man 2.25 (Pod::Simple 3.16)
.\"
.\" Standard preamble:
.\" ========================================================================
......@@ -62,7 +62,7 @@
.\" ========================================================================
.\"
.IX Title "LILO 8"
.TH LILO 8 "2013-05-01" "23.3" "lilo documentation"
.TH LILO 8 "2014-10-15" "24.1" "lilo documentation"
.\" For nroff, turn off justification. Always turn off hyphenation; it makes
.\" way too many mistakes in technical documents.
.if n .ad l
......@@ -107,18 +107,18 @@ override the configuration file, may be specified on the command line.
.IP "\fB\-A\fR \fImaster-device [N]\fR" 4
.IX Item "-A master-device [N]"
Used with a single argument, inquire of active partition on device \fImaster-device\fR;
e.g. \fI/dev/sda\fR. With N==0: deactivate all partitions on the device. With N in
e.g. \fI/dev/sda\fR. With N==0: deactivate all partitions on the device. With N in
the range [1..n]: activate the specified partition and deactivate all others.
Normally, only primary partitions [1..4] may be activated, but if the 'Extended
Master Boot Loader' is present on the Master Boot Record (\s-1MBR\s0) of the device
Master Boot Loader' is present on the Master Boot Record (\s-1MBR\s0) of the device
(see the \-M option), any partition may be made active. Whether the actual \s-1OS\s0
in the partition will boot from an extended partition depends on the characteristics
of the \s-1OS\s0. \s-1LILO\s0 boot records for Linux may be booted from an extended partition.
in the partition will boot from a logical partition depends on the characteristics
of the \s-1OS\s0. \s-1LILO\s0 boot records for Linux may be booted from a logical partition.
.IP "\fB\-b\fR \fIbootdev\fR" 4
.IX Item "-b bootdev"
Set the boot device where the boot loader will be installed. For example
\&\fI\*(L"\-b /dev/sda\*(R"\fR set the Master Boot Record (\s-1MBR\s0) on the first disk as boot
device. \fI\*(L"\-b /dev/sdb5\*(R"\fR set the first extended partition on the second disk
device. \fI\*(L"\-b /dev/sdb5\*(R"\fR set the first logical partition on the second disk
as boot device.
.IP "\fB\-B\fR \fIbitmap-file\fR" 4
.IX Item "-B bitmap-file"
......@@ -204,7 +204,7 @@ table on master-device is undisturbed. If no valid Volume-ID (serial number) is
present, then generate one and write it to the \s-1MBR\s0. If \fImbr\fR is set, the
Standard Master Boot Loader will search partitions 1\-4 for an active flag, and
boot the flagged partition. Only one active flag is allowed. If \fIext\fR is set,
the search for an active partition will include extended partitions as well.
the search for an active partition will include logical partitions as well.
The presence of the Extended Master Boot Loader on the Master Boot Record
(\s-1MBR\s0 = sector 0) of a disk affects the operation of the \fI\-A\fR option.
.IP "\fB\-p\fR" 4
......@@ -248,6 +248,13 @@ executes. After execution the boot loader will erase this line because it is a
once-only command. It is typically used in reboot scripts, just before calling
\&'shutdown \-r'. Used without any arguments, it will cancel a \fIlock\fR\-ed or
\&\fIfallback\fR command line.
.Sp
This Command line starts with image identifier (as shown during map file update),
then space, then kernel parameters. The kernel parameters are appended to kernel
command line constructed routinely. In either case, it there were parameters
or not, such one-time command will be treated by loaders code, as if it is set
at 'boot:' prompt. This could lead to 'password:' prompt at boot time. Be warned!
Refer to \fI\fIlilo.conf\fI\|(5)\fR for details.
.IP "\fB\-s\fR \fIsave-file\fR" 4
.IX Item "-s save-file"
When lilo writes a new boot sector, it preserves the former contents of the boot
......@@ -323,12 +330,12 @@ versions. The line beginning \*(L"CFLAGS=\*(R" will contain the compiler options
generate this version of \s-1LILO\s0.
.IP "\fB\-z\fR" 4
.IX Item "-z"
When used with the '\-M' switch, clears the Volume-ID. Usually used in the
When used with the '\-M' switch, clears the Volume-ID. Usually used in the
following sequence to generate a new Volume-ID:
.Sp
.Vb 2
\& lilo \-z \-M /dev/hda
\& lilo \-M /dev/hda
\& lilo \-z \-M /dev/sda
\& lilo \-M /dev/sda
.Ve
.IP "\fB\-Z\fR \fIoption\fR" 4
.IX Item "-Z option"
......@@ -446,11 +453,11 @@ It is best to use the default mechanism, as it works correctly in all cases.
.Vb 3
\& Copyright (C) 1992\-1998 Werner Almesberger
\& Copyright (C) 1999\-2007 John Coffman
\& Copyright (C) 2009\-2013 Joachim Wiedorn
\& Copyright (C) 2009\-2014 Joachim Wiedorn
.Ve
.PP
Redistribution and use in source and binary forms, with or without
modification, are permitted under the terms of the \s-1BSD\s0 license found in
Redistribution and use in source and binary forms, with or without
modification, are permitted under the terms of the \s-1BSD\s0 license found in
the \s-1COPYING\s0 file.
.SH "AUTHOR"
.IX Header "AUTHOR"
......@@ -463,12 +470,12 @@ the \s-1COPYING\s0 file.
.Ve
.PP
This manual page was written by Werner Almesberger and Joachim Wiedorn
<ad_debian at joonet.de>.
<joodevel at joonet.de>.
.SH "SEE ALSO"
.IX Header "SEE ALSO"
\&\fBlilo.conf\fR(5),
\&\fBliloconfig\fR(8),
\&\fBliloconfig\fR(8),
\&\fBlilo-uuid-diskid\fR(8),
\&\fBmkrescue\fR(8),
\&\fBmkrescue\fR(8),
\&\fBfdisk\fR(8),
\&\fBmkinitrd\fR(8)
......@@ -19,7 +19,7 @@
.\" this software without specific prior written permission. This work
.\" is provided "as is" and without any express or implied warranties.
.\"
.TH LILO.CONF 5 "June 2011"
.TH LILO.CONF 5 "June 2013"
.SH NAME
lilo.conf \- configuration file for lilo
.SH DESCRIPTION
......@@ -72,7 +72,7 @@ other=/dev/hdb5
This configuration file specifies that lilo uses the Master
Boot Record on /dev/hda. (For a discussion of the various ways
to use lilo, and the interaction with other operating systems,
see user.pdf from the lilo documentation.)
see html/user_21-5.html inside the old documentation.)
.LP
When booting, the boot loader will issue its
.I "boot:"
......@@ -97,8 +97,9 @@ An option in an image description will override a global option.
Comment lines may appear anywhere, and begin with the "#" character.
.SH "GLOBAL OPTIONS"
There are many possible keywords. The description below is
almost literally from user.pdf (just slightly abbreviated).
There are many possible keywords. The description below is almost
literally from html/user_21-5.html inside the old documentation
(just slightly abbreviated).
.TP
.BI "backup=" <backup-file>
Specifies the location where a copy of any modified boot sector will be
......@@ -231,7 +232,8 @@ rules are sufficient. The strings which define the partition types
are used in a
.I change
section (see below), with the suffixes "_normal" or "_hidden" appended.
See section "Partition type change rules" of user.pdf for more details.
See section "Partition type change rules" of html/user_21-5.html inside
the old documentation for more details.
.TP
.BI "compact"
Tries to merge read requests for adjacent sectors into a single
......@@ -260,8 +262,8 @@ keys ALT, CTRL, or SHIFT, when held down, are taken as interrupts.
This action is modified by specifying `prompt' (see below).
.TP
.BI "disk=" <device-name>
Defines non-standard parameters for the specified disk.
See section "Disk geometry" of user.pdf for details.
Defines non-standard parameters for the specified disk. See section
"Disk geometry" of html/user_21-5.html inside the old documentation for details.
For versions of LILO prior to 22.5, the `bios=' parameter
is quite useful for specifying how the BIOS has assigned
device codes to your disks.
......
......@@ -2,8 +2,8 @@
manpage: LILO
section: 8
title: lilo documentation
version: 23.3
datum: 2013-05-01
version: 24.1
datum: 2014-10-15
=encoding utf8
......@@ -44,19 +44,19 @@ override the configuration file, may be specified on the command line.
=item B<-A> I<master-device [N]>
Used with a single argument, inquire of active partition on device I<master-device>;
e.g. I</dev/sda>. With N==0: deactivate all partitions on the device. With N in
e.g. I</dev/sda>. With N==0: deactivate all partitions on the device. With N in
the range [1..n]: activate the specified partition and deactivate all others.
Normally, only primary partitions [1..4] may be activated, but if the 'Extended
Master Boot Loader' is present on the Master Boot Record (MBR) of the device
Master Boot Loader' is present on the Master Boot Record (MBR) of the device
(see the -M option), any partition may be made active. Whether the actual OS
in the partition will boot from an extended partition depends on the characteristics
of the OS. LILO boot records for Linux may be booted from an extended partition.
in the partition will boot from a logical partition depends on the characteristics
of the OS. LILO boot records for Linux may be booted from a logical partition.
=item B<-b> I<bootdev>
Set the boot device where the boot loader will be installed. For example
I<"-b /dev/sda"> set the Master Boot Record (MBR) on the first disk as boot
device. I<"-b /dev/sdb5"> set the first extended partition on the second disk
device. I<"-b /dev/sdb5"> set the first logical partition on the second disk
as boot device.
=item B<-B> I<bitmap-file>
......@@ -157,7 +157,7 @@ table on master-device is undisturbed. If no valid Volume-ID (serial number) is
present, then generate one and write it to the MBR. If I<mbr> is set, the
Standard Master Boot Loader will search partitions 1-4 for an active flag, and
boot the flagged partition. Only one active flag is allowed. If I<ext> is set,
the search for an active partition will include extended partitions as well.
the search for an active partition will include logical partitions as well.
The presence of the Extended Master Boot Loader on the Master Boot Record
(MBR = sector 0) of a disk affects the operation of the I<-A> option.
......@@ -207,6 +207,13 @@ once-only command. It is typically used in reboot scripts, just before calling
'shutdown -r'. Used without any arguments, it will cancel a I<lock>-ed or
I<fallback> command line.
This Command line starts with image identifier (as shown during map file update),
then space, then kernel parameters. The kernel parameters are appended to kernel
command line constructed routinely. In either case, it there were parameters
or not, such one-time command will be treated by loaders code, as if it is set
at 'boot:' prompt. This could lead to 'password:' prompt at boot time. Be warned!
Refer to I<lilo.conf(5)> for details.
=item B<-s> I<save-file>
When lilo writes a new boot sector, it preserves the former contents of the boot
......@@ -291,11 +298,11 @@ generate this version of LILO.
=item B<-z>
When used with the '-M' switch, clears the Volume-ID. Usually used in the
When used with the '-M' switch, clears the Volume-ID. Usually used in the
following sequence to generate a new Volume-ID:
lilo -z -M /dev/hda
lilo -M /dev/hda
lilo -z -M /dev/sda
lilo -M /dev/sda
=item B<-Z> I<option>
......@@ -422,10 +429,10 @@ It is best to use the default mechanism, as it works correctly in all cases.
Copyright (C) 1992-1998 Werner Almesberger
Copyright (C) 1999-2007 John Coffman
Copyright (C) 2009-2013 Joachim Wiedorn
Copyright (C) 2009-2014 Joachim Wiedorn